<?php

/**
 * Read bookmark.
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use App\Library\HttpException;

$_func = function (Request $request, Response $response, array $args) {

    //Authentication
    $this->get('session')->verifyCredentials($request);

    /** @var App\Models\Bookmark $model */
    $model = App\Models\Bookmark::find($args['id']);
    if ($model == null) {
        // Entity was not found
        throw new HttpException(404, 'Bookmark not found');
    }

    //Ownership
    $this->get('session')->verifyOwnership($request, $model->owner);

    // Clone data
    $payload = json_decode(json_encode($model), true);

    // Populate relationship
    $payload['owner'] = $model->_owner;
    $payload['place'] = $model->_place;

    $response->getBody()->write(json_encode($payload));
    return $response->withStatus(201);
};

//Define admin route callback
$app->get('/admin/bookmark/{id}', $_func);
//Define route callback
$app->get('/bookmark/{id}', $_func);
