<?php 

/**
 * Count place category.
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Valitron\Validator as Validator;
use App\Library\HttpException;

$_func = function (Request $request, Response $response, array $args) {

    $_get = $request->getQueryParams();

    $validator = new Validator($_get);

    // forbidden keys
    unset($_get['_id']);
    unset($_get['created_at']);
    unset($_get['updated_at']);
    unset($_get['description']);

    if ($validator->validate()) {

        $query = App\Models\PlaceCategory::getCursor($_get, $request);

        $total = $query->count();
        $data = array(
            'total' => $total,
        );

        $payload = json_encode($data);

        $response->getBody()->write($payload);
        return $response->withStatus(200);
    }

    // Bad Request
    throw HttpException::badRequest($validator);
};

//Define admin route callback
$app->get('/admin/place-category/count', $_func);
//Define route callback
$app->get('/place-category/count', $_func);
