<?php

/**
 * Read place category.
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use App\Library\HttpException;

$_func = function (Request $request, Response $response, array $args) {

    /** @var App\Models\PlaceCategory $model */
    $model = App\Models\PlaceCategory::find($args['id']);
    if ($model == null) {
        // Entity was not found
        throw new HttpException(404, 'Place Category not found');
    }

    // Clone data
    $payload = json_decode(json_encode($model), true);

    // Populate relationship

    $response->getBody()->write(json_encode($payload));
    return $response->withStatus(201);
};

//Define admin route callback
$app->get('/admin/place-category/{id}', $_func);
//Define route callback
$app->get('/place-category/{id}', $_func);
