<?php 

/**
 * Delete place.
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use App\Library\HttpException;

$_func = function (Request $request, Response $response, array $args) {

    //Authentication
    $this->get('session')->verifyCredentials($request);

    /** @var App\Models\Place $model */
    $model = App\Models\Place::find($args['id']);
    if ($model == null) {
        // Entity was not found
        throw new HttpException(404, 'Place not found');
    }

    //Ownership
    $this->get('session')->verifyOwnership($request, $model->owner);

    $model->delete();

    return $response->withStatus(204);
};

//Define admin route callback
$app->delete('/admin/place/{id}', $_func);
//Define route callback
$app->delete('/place/{id}', $_func);
