<?php

/**
 * Read place.
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use App\Library\HttpException;

$_func = function (Request $request, Response $response, array $args) {

    /** @var App\Models\Place $model */
    $model = App\Models\Place::find($args['id']);
    if ($model == null) {
        // Entity was not found
        throw new HttpException(404, 'Place not found');
    }

    // Clone data
    $payload = json_decode(json_encode($model), true);

    // Populate relationship
    $payload['categories'] = $model->_categories;
    $payload['services'] = $model->_services;
    $payload['owner'] = $model->_owner;

    $response->getBody()->write(json_encode($payload));
    return $response->withStatus(201);
};

//Define admin route callback
$app->get('/admin/place/{id}', $_func);
//Define route callback
$app->get('/place/{id}', $_func);
