<?php 

/**
 * Count user.
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use Valitron\Validator as Validator;
use App\Library\HttpException;

$_func = function (Request $request, Response $response, array $args) {

    //Authentication
    $this->get('session')->verifyCredentials($request);

    $_get = $request->getQueryParams();

    $validator = new Validator($_get);

    // forbidden keys
    unset($_get['_id']);
    unset($_get['created_at']);
    unset($_get['updated_at']);
    unset($_get['password']);
    unset($_get['last_connected_at']);

    if ($validator->validate()) {

        $query = App\Models\User::getCursor($_get, $request);

        $total = $query->count();
        $data = array(
            'total' => $total,
        );

        $payload = json_encode($data);

        $response->getBody()->write($payload);
        return $response->withStatus(200);
    }

    // Bad Request
    throw HttpException::badRequest($validator);
};

//Define admin route callback
$app->get('/admin/user/count', $_func);
