<?php 

/**
 * Delete user.
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use App\Library\HttpException;

$_func = function (Request $request, Response $response, array $args) {

    //Authentication
    $this->get('session')->verifyCredentials($request);

    /** @var App\Models\User $model */
    $model = App\Models\User::find($args['id']);
    if ($model == null) {
        // Entity was not found
        throw new HttpException(404, 'User not found');
    }

    //Ownership
    $this->get('session')->verifyOwnership($request, $model->_id);

    $model->delete();

    return $response->withStatus(204);
};

//Define admin route callback
$app->delete('/admin/user/{id}', $_func);
//Define route callback
$app->delete('/user/{id}', $_func);
