<?php

/**
 * Read user.
 */

use Psr\Http\Message\ResponseInterface as Response;
use Psr\Http\Message\ServerRequestInterface as Request;
use App\Library\HttpException;

$_func = function (Request $request, Response $response, array $args) {

    //Authentication
    $this->get('session')->verifyCredentials($request);

    /** @var App\Models\User $model */
    $model = App\Models\User::find($args['id']);
    if ($model == null) {
        // Entity was not found
        throw new HttpException(404, 'User not found');
    }

    //Ownership
    $this->get('session')->verifyOwnership($request, $model->_id);

    // Clone data
    $payload = json_decode(json_encode($model), true);

    // Populate relationship

    $response->getBody()->write(json_encode($payload));
    return $response->withStatus(201);
};

//Define admin route callback
$app->get('/admin/user/{id}', $_func);
//Define route callback
$app->get('/user/{id}', $_func);
